/*

InvaderCraft von J.Hertel
(C) CW-Publikationen

  "invadercraft1.h"


Header-File fuer Aztec C Version 3.20a.

Dieses File muss in das include-Directory der Compiler-Diskette kopiert
werden !

*/

/* Schirm-Bitmap */
#define XA 320L   /* X-Aufloesung */
#define XA1 319L  /* XA-1 */
#define AC 16L    /* immer 16 Farben (Dualpf.)  */
#define VX 48L    /* unsichtbare Reserve an Pixels am linken und rechten Rand
                     Vielfaches von 16 ! Muss groesser als Mutterschiff-
                     breite+Schrittweite sein */
#define VY 20L    /* Reserve nach oben und unten, groesser als Missilehoehe
                     bzw. Schusshoehe + Schrittweite */

/* Dummy Bitmap */
#define DUMMYT 3L    /* groesser als      */
#define DUMMYX 40L   /* alle vorkommende  */
#define DUMMYY 40L   /* Objekte           */

/* Bitmap fuer Status-Balken */
#define HIXA 640L    /* HiRes */
#define HIYA 11L
#define BLKLINE 2L
#define HIT 2L
#define HIAC 4L

/* Max. 6 verschiedene Versionen implementiert */
#define MAXVERSIONS 6

struct format {     /* fuer jeden Sound eine Struktur */
char *name;
UWORD period,cycles,volume;
UBYTE *buffer;
ULONG len;
};

#define ANZSOUNDS 17   /* Anzahl an Sounds */

struct liste {
   ULONG score;
   char who[8];
};
#define SLOTS 13       /* Anzahl an Eintraegen fuer Highscore-Tabelle */

#define ABOUTHEIGHT 38L    /* Hoehe  */
#define ABOUTWIDTH 320L    /* und Breite des IFF-Bilds, das bei der
Auswahl des Menuepunkts 'About' eingeblendet wird. Hoehe nicht groesser
als 140 ! */

